## org.apache.batik.ext.awt.image.renderable
Class SpecularLightingRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
              org.apache.batik.ext.awt.image.renderable.SpecularLightingRable8Bit

All Implemented Interfaces:
  java.awt.image.renderable.RenderableImage, Filter, FilterColorInterpolation, SpecularLightingRable

    public class SpecularLightingRable8Bit

extends AbstractColorInterpolationRable
implements SpecularLightingRable

Implementation of the SpecularLightRable interface.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`csLinear`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`SpecularLightingRable8Bit(Filter src, java.awt.geom.Rectangle2D litRegion, Light light, double ks, double specularExponent, double surfaceScale, double[] kernelUnitLength)`

Method Summary
`java.awt.image.RenderedImage` `createRendering(java.awt.image.renderable.RenderContext rc)`
`java.awt.geom.Rectangle2D` `getBounds2D()` Returns this filter's bounds
`double[]` `getKernelUnitLength()` Returns the min [dx,dy] distance in user space for evalutation of the sobel gradient.
`double` `getKs()`
`Light` `getLight()`
`java.awt.geom.Rectangle2D` `getLitRegion()` Returns this filter's litRegion
`Filter` `getSource()` Returns the source to be filtered
`double` `getSpecularExponent()`
`double` `getSurfaceScale()`
`void` `setKernelUnitLength(double[] kernelUnitLength)` Sets the min [dx,dy] distance in user space for evaluation of the sobel gradient.
`void` `setKs(double ks)` Sets the specular constant, or ks
`void` `setLight(Light light)`
`void` `setLitRegion(java.awt.geom.Rectangle2D litRegion)` Set this filter's litRegion
`void` `setSource(Filter src)` Sets the source to be filtered
`void` `setSpecularExponent(double specularExponent)` Sets the specular exponent
`void` `setSurfaceScale(double surfaceScale)` Sets the surface scale

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`convertSourceCS, convertSourceCS, getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Constructor Detail

### SpecularLightingRable8Bit

    public SpecularLightingRable8Bit(Filter src,
                                     java.awt.geom.Rectangle2D litRegion,
                                     Light light,
                                     double ks,
                                     double specularExponent,
                                     double surfaceScale,
                                     double[] kernelUnitLength)

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be filtered

  Specified by:
    `getSource` in interface `SpecularLightingRable`

### setSource

    public void setSource(Filter src)

  Sets the source to be filtered

  Specified by:
    `setSource` in interface `SpecularLightingRable`

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

  Returns this filter's bounds

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### getLitRegion

    public java.awt.geom.Rectangle2D getLitRegion()

  Returns this filter's litRegion

  Specified by:
    `getLitRegion` in interface `SpecularLightingRable`
  Returns:
    the litRegion for this filter

### setLitRegion

    public void setLitRegion(java.awt.geom.Rectangle2D litRegion)

  Set this filter's litRegion

  Specified by:
    `setLitRegion` in interface `SpecularLightingRable`

### getLight

    public Light getLight()

  Specified by:
    `getLight` in interface `SpecularLightingRable`
  Returns:
    Light object used for the specular lighting

### setLight

    public void setLight(Light light)

  Specified by:
    `setLight` in interface `SpecularLightingRable`
  Parameters:
    `light` - New Light object

### getSurfaceScale

    public double getSurfaceScale()

  Specified by:
    `getSurfaceScale` in interface `SpecularLightingRable`
  Returns:
    surfaceScale

### setSurfaceScale

    public void setSurfaceScale(double surfaceScale)

  Sets the surface scale

  Specified by:
    `setSurfaceScale` in interface `SpecularLightingRable`

### getKs

    public double getKs()

  Specified by:
    `getKs` in interface `SpecularLightingRable`
  Returns:
    specular constant, or ks.

### setKs

    public void setKs(double ks)

  Sets the specular constant, or ks

  Specified by:
    `setKs` in interface `SpecularLightingRable`

### getSpecularExponent

    public double getSpecularExponent()

  Specified by:
    `getSpecularExponent` in interface `SpecularLightingRable`
  Returns:
    specular exponent

### setSpecularExponent

    public void setSpecularExponent(double specularExponent)

  Sets the specular exponent

  Specified by:
    `setSpecularExponent` in interface `SpecularLightingRable`

### getKernelUnitLength

    public double[] getKernelUnitLength()

  Returns the min [dx,dy] distance in user space for evalutation of the sobel gradient.

  Specified by:
    `getKernelUnitLength` in interface `SpecularLightingRable`

### setKernelUnitLength

    public void setKernelUnitLength(double[] kernelUnitLength)

  Sets the min [dx,dy] distance in user space for evaluation of the sobel gradient. If set to zero or null then device space will be used.

  Specified by:
    `setKernelUnitLength` in interface `SpecularLightingRable`

### createRendering

    public java.awt.image.RenderedImage createRendering(java.awt.image.renderable.RenderContext rc)

  Specified by:
    `createRendering` in interface `java.awt.image.renderable.RenderableImage`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.